Delete Stream

Permanently removes a stream and gracefully disconnects all connected listener sessions
DELETE/streams/{id}

请求参数

该接口所需的请求头与参数规范。

请求头
请求头类型必填说明
X-PolyEdge-Keystring必填PolyEdge API Key for client authentication and rate-limiting
路径参数
参数类型必填说明
idstring必填Stream ID

响应 (200 OK)

成功响应载荷的字段定义。

application/json
200 响应示例
json
{
  "id": "9bae9005-9ef1-4f17-8658-36ea54536836"
}
响应体字段
字段类型说明
id
string-

cURL 示例

在终端中直接复制并运行此命令测试该接口。

cURL: DELETE /streams/{id}
bash
curl -X DELETE "https://stream.polyedge.dev/streams/9bae9005-9ef1-4f17-8658-36ea54536836" \
  -H "Content-Type: application/json" \
  -H "X-PolyEdge-Key: Your-PolyEdge-ApiKey"